#
# spec file for package yast2-core-scr (Version 2.4.29)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel tcl ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-core-scr
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Summary:      YaST2 - SCR core agents
Version:      2.4.29
Release:      16
Source0:	yast2-core-scr-2.4.29.tar.bz2

%description
This package contains SCR agents for YaST2. YaST2 uses these agents
to access system-specific files

SuSE series: yast

%package devel
Version:      2.4.29
Release:      16
Summary:      YaST2 - Linkfiles for SCR core agents (for developers only)
Group:		Development/Libraries
Provides:	y2scr
Obsoletes:	y2scr

%description devel
This package contains link files for YaST2 SCR core agents. It's only
needed for YaST2 developers.

SuSE series: yast

%prep
%setup -n yast2-core-scr-2.4.29

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
#%ifarch alpha ppc
#export CXXFLAGS="$CXXFLAGS -O0"
#%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_dummy.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_dumpto.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_resolver.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_losetup.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2scr.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_dummy.so.*
/usr/lib/YaST2/plugin/libpy2ag_dumpto.so.*
/usr/lib/YaST2/plugin/libpy2ag_losetup.so.*
/usr/lib/YaST2/plugin/libpy2ag_resolver.so.*
/usr/lib/YaST2/plugin/libpy2scr.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr
%dir /usr/lib/YaST2/servers
/usr/lib/YaST2/servers/scr
%dir /usr/lib/YaST2/servers_non_y2
/usr/lib/YaST2/servers_non_y2/ag_*
%dir /usr/lib/YaST2/agents_non_y2
/usr/lib/YaST2/agents_non_y2/*

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_dummy.so
/usr/lib/YaST2/plugin/libpy2ag_dummy.la
/usr/lib/YaST2/plugin/libpy2ag_dumpto.so
/usr/lib/YaST2/plugin/libpy2ag_dumpto.la
/usr/lib/YaST2/plugin/libpy2ag_losetup.so
/usr/lib/YaST2/plugin/libpy2ag_losetup.la
/usr/lib/YaST2/plugin/libpy2ag_resolver.so
/usr/lib/YaST2/plugin/libpy2ag_resolver.la
/usr/lib/YaST2/plugin/libpy2scr.so
/usr/lib/YaST2/plugin/libpy2scr.la
%docdir /usr/share/doc/packages/yast2-core-scr
%doc /usr/share/doc/packages/yast2-core-scr/*

%changelog -n yast2-core-scr
* Wed Sep 19 2001 - mvidner@suse.cz
- Perl library: ReturnArrayAsList (again) fixed
  for arrays containing "" and other false values. (2.4.29)
* Fri Sep 14 2001 - msvec@suse.cz
- fixed xauth agent (return only the MIT magic cookie)
- 2.4.28
* Fri Sep 14 2001 - arvin@suse.de
- make ag_modinfo exit on result command (bug #10638)
* Fri Sep 14 2001 - arvin@suse.de
- better return value for resolv agent if resolv.conf does not
  exist (bug #10330)
* Tue Sep 04 2001 - mvidner@suse.cz
- .net.hostnames: updated for iputils-20010824 (2.4.25)
* Mon Sep 03 2001 - kkaempf@suse.de
- remove debug.
- cd back to /.
* Fri Aug 31 2001 - kkaempf@suse.de
- properly extract path from (.cdnum, ...)
- .instsource accepts directory for all pathes (.cdnum,.product,.cdrelease)
  drop all references to /var/adm/mount.
* Thu Aug 30 2001 - mvidner@suse.cz
- Perl library: Fixed ReturnArrayAsList for single-element arrays. (2.4.20)
* Wed Aug 29 2001 - arvin@suse.de
- removed obsolete targetroot functions
* Mon Aug 27 2001 - kkaempf@suse.de
- ag_instsource: added .product path
* Mon Aug 20 2001 - kkaempf@suse.de
- add "RebootMsg" to ag_yast_inf (#7994)
* Mon Aug 20 2001 - mvidner@suse.cz
- Perl library: fix for 5.6.1, conforming log entries. (2.4.16)
* Sat Aug 18 2001 - arvin@suse.de
- provide standalone scr program
* Fri Aug 10 2001 - arvin@suse.de
- renamed functions get_targetroot and prepend_targetroot to
  just get_root and prepend_root
* Thu Aug 09 2001 - arvin@suse.de
- fixed testsuite
- some internal restructuring
* Thu Aug 09 2001 - kkaempf@suse.de
- properly handle YCPError() returns from SCRAgent::readconf
* Wed Aug 08 2001 - kkaempf@suse.de
- adapt testsuite to corrected error messages from libycp again
* Wed Aug 08 2001 - arvin@suse.de
- implemented functions get_targetroot and prepend_targetroot
* Wed Aug 08 2001 - kkaempf@suse.de
- adapt testsuite to corrected error messages from libycp
* Wed Aug 08 2001 - pblahos@suse.cz
- ag_dummy: Dir now returns keys from map found on given path
* Tue Aug 07 2001 - mvidner@suse.cz
- Added ycpComandIsResult to ycp.pm (v. 2.4.7)
* Tue Jul 31 2001 - pblahos@suse.cz
- .net.hostnames is much faster in case resolving does not work.
  It waits 1s for each nslookup and after 4 failures gives up and
  returns numeric ip addresses. (Bug 9201)
* Fri Jul 27 2001 - kkaempf@suse.de
- return proper YCPError() values on error
* Thu Jul 26 2001 - kendy@suse.cz
- Added ag_modinfo: A perl agent for reading modinfo of the
  kernel modules
* Fri Jun 29 2001 - arvin@suse.de
- use function readconf in ScriptingAgent
* Wed Jun 27 2001 - arvin@suse.de
- fixed testsuite for gcc 3.0
- removed libpkg and libpkg-devel from neededforbuild
* Mon Jun 25 2001 - arvin@suse.de
- removed target agent (is seperate package now)
* Tue May 22 2001 - dan@suse.cz
- ag_resolver: do not write an empty domain (allow to remove it
  when search list exists), also fixes bug #8578
* Mon May 14 2001 - pblahos@suse.cz
- ag_hostnames: unsets LANG in the beggining. Getting hostnames now
  works in Czech environment too.
* Thu May 10 2001 - mike@suse.de
- security fix: logging of crypto passwd deleted
* Thu May 10 2001 - kkaempf@suse.de
- explicitly disable stack size limit in shell
* Tue May 08 2001 - mike@suse.de
- for security reasons: losetup call is now implemented as yast2 agent
* Tue May 08 2001 - gs@suse.de
- ag_instsource: Read (.localrelease) added (read release saved on the system)
* Wed May 02 2001 - msvec@suse.cz
- fixed target command output charset (#7482)
- minor Makefile.am tweak
- version 2.3.27
* Mon Apr 30 2001 - msvec@suse.cz
- writing headers fixed in resolver agent by dan@suse.cz
- version 2.3.26
* Fri Apr 27 2001 - msvec@suse.cz
- log stderr as error output to y2log
- version 2.3.25
* Tue Apr 24 2001 - mike@suse.de
- first working version for CRYPTO-FS
  preversion of "losetup"-agent
* Tue Apr 24 2001 - schubi@suse.de
- type PackageList renamed to PackList
* Mon Apr 23 2001 - msvec@suse.cz
- (hopefully) finally fixed the target agent
- version 2.3.22
* Thu Apr 19 2001 - msvec@suse.cz
- fixed the script call, no more quoting needed (hopefully)
- version 2.3.21
* Wed Apr 18 2001 - msvec@suse.cz
- completely rewritten bash_* handling
- version 2.3.20
* Tue Apr 17 2001 - msvec@suse.cz
- fixed logging (again)
- version 2.3.19
* Tue Apr 17 2001 - msvec@suse.cz
- fixed system daemons hang (target agent)
- version 2.3.18
* Thu Apr 12 2001 - arvin@suse.de
- RegisterAgent does now accept either the filename or the term
  itself as second argument
* Fri Apr 06 2001 - kkaempf@suse.de
- fix read_file_to_string
* Thu Apr 05 2001 - msvec@suse.cz
- .target.bash_background
- fixed comments and documentation
- bash logging enahnced
- version 2.3.15
* Wed Apr 04 2001 - kkaempf@suse.de
- adapt shell agents to coding style
* Wed Apr 04 2001 - kkaempf@suse.de
- fix agentdir, install in servers_non_y2
- libpkg is neededforbuild
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install in YAST2/lib, but YaST2/agents_non_y2 instead
* Mon Mar 26 2001 - arvin@suse.de
- fixed name of logfile for targetagent
* Mon Mar 26 2001 - arvin@suse.de
- fixed non-yast2-agents (must understand new coding style)
* Fri Mar 23 2001 - arvin@suse.de
- moved documentation to packages/yast2-core-scr
* Wed Mar 21 2001 - arvin@suse.de
- Always correctly terminate agent before deleting it in
  ScriptingAgent.
* Tue Mar 20 2001 - arvin@suse.de
- Added function UnregisterAgent to ScriptingAgent.
* Tue Mar 20 2001 - arvin@suse.de
- Added testsuite for ScriptingAgent.
* Fri Mar 16 2001 - arvin@suse.de
- Disable optimization also on alpha.
* Tue Mar 13 2001 - pblahos@suse.cz
- .target.bash_output acts like .target.bash, but returns output of
  executed commands.
* Mon Mar 12 2001 - arvin@suse.de
- Use RPM_OPT_FLAGS, strip plugins and disable optimization
  on ppc.
- Logging to correct file in target agent.
* Mon Mar 05 2001 - kkaempf@suse.de
- package rename: y2scr -> yast2-core-scr
* Fri Mar 02 2001 - pblahos@suse.cz
- ag_target: Removes its temp-directory and all subfiles in destructor.
- UnregisterAllAgents now unmounts all agents first. Result: vast of
  YaST2-XXXX directories do not rest in /tmp/ after make check.
* Wed Feb 14 2001 - pblahos@suse.cz
- ag_dummy: It is possible to define separate maps of return values
  for Write and Execute.
* Sat Jan 27 2001 - arvin@suse.de
- package split y2scr / y2scr-devel
* Wed Jan 10 2001 - msvec@suse.de
- Adde ag_xauth
* Mon Dec 18 2000 - kendy@suse.cz
- Fixed returning of the exit status in .target.bash
- stdout and stderr of the script executed using .target.bash is
  logged to /var/log/y2log (resp. ~/.y2log)
* Fri Dec 15 2000 - kkaempf@suse.de
- dont put comment in resolv.conf (bug #4714)
* Tue Dec 12 2000 - kkaempf@suse.de
- log symlink and mkdir calls
* Mon Dec 11 2000 - kkaempf@suse.de
- new target path .size to get file size
* Fri Dec 08 2000 - kkaempf@suse.de
- log all shellcommands as milestone
* Wed Nov 29 2000 - arvin@suse.de
- fixed function targetroot to compile
* Wed Nov 29 2000 - kkaempf@suse.de
- fix Write (.target.ycp) to write correct value
* Tue Nov 28 2000 - kkaempf@suse.de
- add resolver agent to filelist
* Tue Nov 28 2000 - kkaempf@suse.de
- fix symlink for Y2_TARGET_ROOT handling
  improve error messages for file operations
  fix .target.inject to need only one argument
* Tue Nov 28 2000 - kkaempf@suse.de
- fix target agent to execute all actions with Y2_TARGET_ROOT evaluation
* Mon Nov 27 2000 - kkaempf@suse.de
- resolver agent added to access /etc/resolv.conf directly
* Mon Nov 20 2000 - kkaempf@suse.de
- add reading directories to target agent
* Mon Nov 20 2000 - kkaempf@suse.de
- enhance target agent for ycp based file i/o
* Fri Nov 17 2000 - kkaempf@suse.de
- enhance target agent for string base file i/o
  include smbmount in target agent
* Fri Nov 17 2000 - kkaempf@suse.de
- dont provide pars-inf.pl, it's in yast2
* Thu Nov 16 2000 - kkaempf@suse.de
- split library/plugin
* Wed Nov 15 2000 - kkaempf@suse.de
- remove y2a_* from neededforbuild, let y2base decide what it needs
* Fri Nov 10 2000 - kkaempf@suse.de
- implement toplevel Dir() call (kendy)
* Wed Nov 08 2000 - kkaempf@suse.de
- new logging
  dont provide y2a_ agents in plugin, y2base does
* Tue Nov 07 2000 - kkaempf@suse.de
- generate and install autodocs and builtin docs
* Mon Nov 06 2000 - kkaempf@suse.de
- replace ag_passwd and ag_shell with ag_target
* Thu Oct 26 2000 - kkaempf@suse.de
- dont install local libs
* Thu Oct 26 2000 - kkaempf@suse.de
- fix filelist
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Fri Oct 20 2000 - kkaempf@suse.de
- add plugin/libscr.a to filelist
  version 2.1.4
* Fri Oct 06 2000 - kkaempf@suse.de
- temporarily remove y2a_ldap, wait for openldap 2
  version 2.1.3
* Fri Sep 29 2000 - kkaempf@suse.de
- split off ag_anyagent as y2a_any
  split off ag_fdisk as y2a_fdsk
  split off ag_hwprobe as y2a_hwpb
  split off ag_ldap as y2a_ldap
  split off ag_xf86config as y2a_xf86
  split off ag_rcagent as y2a_rcnf
  split off ag_modules as y2a_mods
  removed ag_rcconfig
  use dist-bzip2
  version 2.1.2
* Wed Jul 26 2000 - @suse.de
- ag_rcconfig, unlink /tmp file after usage
  ag_xf86config, pass new parameters for keyboard
  version 2.0.29
* Thu Jul 20 2000 - kkaempf@suse.de
- ag_xf86config, fixed syntax of logfile
  ag_anyagent, recognize live-eval CD
  version 2.0.28
* Mon Jul 17 2000 - kkaempf@suse.de
- ag_fdisk force primary partitions on sparc
  ag_xf86config allow non-iso-1 keyboard settings
  version 2.0.26
* Thu Jul 13 2000 - kkaempf@suse.de
- ag_xf86config fixed (bug # 3205)
  version 2.0.25
* Thu Jul 13 2000 - kkaempf@suse.de
- probing flags set before libhd call (bug #3388)
  version 2.0.24
* Tue Jul 11 2000 - kkaempf@suse.de
- syntax fix for reading /proc/modules (fix bug #3175)
  version 2.0.23
* Mon Jul 10 2000 - kkaempf@suse.de
- fix rcagent to skip command lines
  version 2.0.22
* Mon Jul 10 2000 - kkaempf@suse.de
- fix ag_yast_inf
  version 2.0.21
* Mon Jul 10 2000 - kkaempf@suse.de
- ag_rcconfig patches
  version 2.0.20
* Fri Jul 07 2000 - kkaempf@suse.de
- pdisk is on /sbin/pdisk now
  version 2.0.19
* Thu Jul 06 2000 - kkaempf@suse.de
- ag_hwprobe: probe system (esp. for ppc)
  raid support in ag_fdisk
  version 2.0.18
* Tue Jul 04 2000 - kkaempf@suse.de
- ag_hwprobe: retrieve bios_id for disks
  version 2.0.17
* Thu Jun 29 2000 - kkaempf@suse.de
- fdisk patch for sparc bsd labeled disks
  version 2.0.16
* Thu Jun 29 2000 - kkaempf@suse.de
- fix cache handling in anyagent for re-mounted files
  version 2.0.15
* Wed Jun 28 2000 - kkaempf@suse.de
- add Braille recognition for blinux support
  version 2.0.14
* Mon Jun 26 2000 - kkaempf@suse.de
- adapt to new libhd 1.05 driver_info_x11_t struct
  version 2.0.13
* Tue Jun 20 2000 - kkaempf@suse.de
- xf86config adapted for XFree86 4.0 isax
  version 2.0.12
* Tue Jun 13 2000 - schwab@suse.de
- Add %%{suse_update_config}.
* Fri Jun 09 2000 - kkaempf@suse.de
- ag_anyagent: multi-argument Or()
  version 2.0.11
* Fri Jun 09 2000 - kkaempf@suse.de
- use hw_printer, hw_tv, and hw_scanner from libhd
  version 2.0.10
* Fri Jun 09 2000 - kkaempf@suse.de
- ag_hwprobe changes for cpu and apm probing
  version 2.0.9
* Fri Jun 09 2000 - kkaempf@suse.de
- new "monitor" probe for latest libhd
  ag_xf86config adapted to XFree86 4.0
  version 2.0.8
* Fri Jun 09 2000 - kkaempf@suse.de
- add scrconf and servers_non_y2 to filelist
* Thu Jun 08 2000 - kkaempf@suse.de
- adapt to libhddev 0.99
  new agent to write inetd.conf
  version 2.0.7
* Wed Jun 07 2000 - kkaempf@suse.de
- fix hardware probing (probing flags)
* Tue Jun 06 2000 - kkaempf@suse.de
- fixed shell agent
  version 2.0.6
* Mon Jun 05 2000 - kkaempf@suse.de
- adapt to libhd 0.98
  version 2.0.5
* Wed May 31 2000 - kkaempf@suse.de
- new agent (ag_shell)
  version 2.0.4
* Wed May 31 2000 - kkaempf@suse.de
- adapt to new libhd (0.96)
  bump version to 2.0.3
* Mon May 29 2000 - kkaempf@suse.de
- fix rcagent for new interface
* Wed May 24 2000 - kkaempf@suse.de
- implement new probing paths for keyboard, mouse, and floppy.
* Wed May 24 2000 - kkaempf@suse.de
- extend AnyAgent with flexible argument handling
* Wed May 24 2000 - kkaempf@suse.de
- new agent 'ag_dummy'
  allow for overlaying MountAgent()
  bump version to 2.0.2
* Thu May 18 2000 - kkaempf@suse.de
- install to .../plugin now
  bump version to 2.0.1
* Fri May 12 2000 - @suse.de
- patch automake/libtool for IA64
  no y2wfmd package
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
